<template>
  <v-card
    flat
  >
    <v-card-text class="dense">
      <v-form>
        <v-text-field
          disabled
          label="origin"
          name="origin"
          prepend-icon="mdi-circle-medium"
          type="text"
          :value="origin"
          distabled
        ></v-text-field>
        <v-text-field
          disabled
          id="destination"
          label="destination"
          name="Destination"
          prepend-icon="mdi-map-marker"
          type="text"
          :value="destination"
          distabled
        ></v-text-field>
      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-spacer></v-spacer>
      <v-btn
        color="primary"
        disabled
        small
      >
        search
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script lang="ts">
import { Vue, Component, Prop, Watch } from 'vue-property-decorator';

import { LatLng } from 'leaflet';


@Component
export default class Search extends Vue {
  @Prop() private origin: LatLng | null = null;
  @Prop() private destination: LatLng | null = null;
}
</script>
